ATA_SET_MAX_SECTORS(9)

NAME
ata_set_max_sectors - Set max sectors

SYNOPSIS

int ata_set_max_sectors(struct ata_device * dev, u64 new_sectors);

ARGUMENTS

dev
    target device

new_sectors
    new max sectors value to set for the device

DESCRIPTION

Set max sectors of dev to new_sectors.

RETURNS

0 on success, -EACCES if command is aborted or denied (due to previous non-volatile SET_MAX) by the drive. -EIO on other errors.

AUTHOR

Jeff Garzik
    Author.

COPYRIGHT